apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-hubble-traffic
  namespace: ingress-nginx
spec:
  egress:
    - toFQDNs:
        - matchPattern: hubble.*.*.*
        - matchPattern: hubble.*.*.*.*
  endpointSelector:
    matchLabels:
      app.kubernetes.io/component: controller
      app.kubernetes.io/instance: ingress-nginx
